Bug 767171 - Jabber can not read /proc/meminfo.
Summary: Jabber can not read /proc/meminfo.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-13 13:02 UTC by Dimitar Yordanov
Modified: 2011-12-22 22:49 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.10.0-67.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 22:49:42 UTC
Type: ---


Attachments (Terms of Use)

Description Dimitar Yordanov 2011-12-13 13:02:35 UTC
Description of problem:

During Spacewalk installation I see the following AVC error:.

type=SYSCALL msg=audit(1323765221.925:139): arch=c000003e syscall=2 success=no exit=-13 a0=7f992838698f a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=17651 auid=4294967295 uid=998 gid=994 euid=998 suid=998 fsuid=998 egid=994 sgid=994 fsgid=994 tty=(none) ses=4294967295 comm="c2s" exe="/usr/bin/c2s" subj=system_u:system_r:jabberd_router_t:s0 key=(null)
> type=AVC msg=audit(1323765221.925:139): avc:  denied  { read } for  pid=17651 comm="c2s" name="meminfo" dev=proc ino=4026532027 scontext=system_u:system_r:jabberd_router_t:s0



Seems Jabber can not read /proc/meminfo.  

[root@hp-dl385g5p-01 ~]# ls -i /proc/meminfo
4026532027 /proc/meminfo

[root@hp-dl385g5p-01 ~]# ls -laZ /proc/meminfo
-r--r--r--. root root system_u:object_rroc_t:s0      /proc/meminfo

Version-Release number of selected component (if applicable):
Fedora 16

How reproducible:
100%

Comment 1 Miroslav Grepl 2011-12-13 13:26:23 UTC
Fixed in selinux-policy-3.10.0-67.fc16

Comment 2 Fedora Update System 2011-12-15 17:09:29 UTC
selinux-policy-3.10.0-67.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-67.fc16

Comment 3 Fedora Update System 2011-12-16 20:01:25 UTC
Package selinux-policy-3.10.0-67.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-67.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17191/selinux-policy-3.10.0-67.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-22 22:49:42 UTC
selinux-policy-3.10.0-67.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.